Bullet Collision Detection & Physics Library: btSoftBodyRigidBodyCollisionConfiguration Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btSoftBodyRigidBodyCollisionConfiguration Class Reference

btSoftBodyRigidBodyCollisionConfiguration add softbody interaction on top of btDefaultCollisionConfiguration More...

`#include <btSoftBodyRigidBodyCollisionConfiguration.h>`

Inheritance diagram for btSoftBodyRigidBodyCollisionConfiguration:
[legend]
Collaboration diagram for btSoftBodyRigidBodyCollisionConfiguration:
[legend]

## Public Member Functions
| btSoftBodyRigidBodyCollisionConfiguration (const btDefaultCollisionConstructionInfo &constructionInfo=btDefaultCollisionConstructionInfo())
virtual | ~btSoftBodyRigidBodyCollisionConfiguration ()
virtual btCollisionAlgorithmCreateFunc * | getCollisionAlgorithmCreateFunc (int proxyType0, int proxyType1)
| creation of soft-soft and soft-rigid, and otherwise fallback to base class implementation
Public Member Functions inherited from btDefaultCollisionConfiguration
| btDefaultCollisionConfiguration (const btDefaultCollisionConstructionInfo &constructionInfo=btDefaultCollisionConstructionInfo())
virtual | ~btDefaultCollisionConfiguration ()
virtual btPoolAllocator * | getPersistentManifoldPool ()
| memory pools
virtual btPoolAllocator * | getCollisionAlgorithmPool ()
virtual btCollisionAlgorithmCreateFunc * | getClosestPointsAlgorithmCreateFunc (int proxyType0, int proxyType1)
void | setConvexConvexMultipointIterations (int numPerturbationIterations=3, int minimumPointsPerturbationThreshold=3)
| Use this method to allow to generate multiple contact points between at once, between two objects using the generic convex-convex algorithm.
void | setPlaneConvexMultipointIterations (int numPerturbationIterations=3, int minimumPointsPerturbationThreshold=3)
Public Member Functions inherited from btCollisionConfiguration
virtual | ~btCollisionConfiguration ()

## Private Attributes
btCollisionAlgorithmCreateFunc * | m_softSoftCreateFunc
btCollisionAlgorithmCreateFunc * | m_softRigidConvexCreateFunc
btCollisionAlgorithmCreateFunc * | m_swappedSoftRigidConvexCreateFunc
btCollisionAlgorithmCreateFunc * | m_softRigidConcaveCreateFunc
btCollisionAlgorithmCreateFunc * | m_swappedSoftRigidConcaveCreateFunc

## Additional Inherited Members
Protected Attributes inherited from btDefaultCollisionConfiguration
int | m_persistentManifoldPoolSize
btPoolAllocator * | m_persistentManifoldPool
bool | m_ownsPersistentManifoldPool
btPoolAllocator * | m_collisionAlgorithmPool
bool | m_ownsCollisionAlgorithmPool
btConvexPenetrationDepthSolver * | m_pdSolver
btCollisionAlgorithmCreateFunc * | m_convexConvexCreateFunc
btCollisionAlgorithmCreateFunc * | m_convexConcaveCreateFunc
btCollisionAlgorithmCreateFunc * | m_swappedConvexConcaveCreateFunc
btCollisionAlgorithmCreateFunc * | m_compoundCreateFunc
btCollisionAlgorithmCreateFunc * | m_compoundCompoundCreateFunc
btCollisionAlgorithmCreateFunc * | m_swappedCompoundCreateFunc
btCollisionAlgorithmCreateFunc * | m_emptyCreateFunc
btCollisionAlgorithmCreateFunc * | m_sphereSphereCF
btCollisionAlgorithmCreateFunc * | m_sphereBoxCF
btCollisionAlgorithmCreateFunc * | m_boxSphereCF
btCollisionAlgorithmCreateFunc * | m_boxBoxCF
btCollisionAlgorithmCreateFunc * | m_sphereTriangleCF
btCollisionAlgorithmCreateFunc * | m_triangleSphereCF
btCollisionAlgorithmCreateFunc * | m_planeConvexCF
btCollisionAlgorithmCreateFunc * | m_convexPlaneCF

## Detailed Description

btSoftBodyRigidBodyCollisionConfiguration add softbody interaction on top of btDefaultCollisionConfiguration

Definition at line 25 of file btSoftBodyRigidBodyCollisionConfiguration.h.

## Constructor & Destructor Documentation

## ◆ btSoftBodyRigidBodyCollisionConfiguration()

btSoftBodyRigidBodyCollisionConfiguration::btSoftBodyRigidBodyCollisionConfiguration | ( | const btDefaultCollisionConstructionInfo & | constructionInfo = btDefaultCollisionConstructionInfo() | ) |

calculate maximum element size, big enough to fit any collision algorithm in the memory pool

Definition at line 25 of file btSoftBodyRigidBodyCollisionConfiguration.cpp.

## ◆ ~btSoftBodyRigidBodyCollisionConfiguration()

btSoftBodyRigidBodyCollisionConfiguration::~btSoftBodyRigidBodyCollisionConfiguration | ( |  | ) |
| virtual

Definition at line 73 of file btSoftBodyRigidBodyCollisionConfiguration.cpp.

## Member Function Documentation

## ◆ getCollisionAlgorithmCreateFunc()

btCollisionAlgorithmCreateFunc * btSoftBodyRigidBodyCollisionConfiguration::getCollisionAlgorithmCreateFunc | ( | int | proxyType0,
|  | int | proxyType1 )
| virtual

creation of soft-soft and soft-rigid, and otherwise fallback to base class implementation

try to handle the softbody interactions first

softbody versus convex

convex versus soft body

softbody versus convex

convex versus soft body

fallback to the regular rigid collision shape

Reimplemented from btDefaultCollisionConfiguration.

Definition at line 94 of file btSoftBodyRigidBodyCollisionConfiguration.cpp.

## Member Data Documentation

## ◆ m_softRigidConcaveCreateFunc

btCollisionAlgorithmCreateFunc* btSoftBodyRigidBodyCollisionConfiguration::m_softRigidConcaveCreateFunc
| private

Definition at line 31 of file btSoftBodyRigidBodyCollisionConfiguration.h.

## ◆ m_softRigidConvexCreateFunc

btCollisionAlgorithmCreateFunc* btSoftBodyRigidBodyCollisionConfiguration::m_softRigidConvexCreateFunc
| private

Definition at line 29 of file btSoftBodyRigidBodyCollisionConfiguration.h.

## ◆ m_softSoftCreateFunc

btCollisionAlgorithmCreateFunc* btSoftBodyRigidBodyCollisionConfiguration::m_softSoftCreateFunc
| private

Definition at line 28 of file btSoftBodyRigidBodyCollisionConfiguration.h.

## ◆ m_swappedSoftRigidConcaveCreateFunc

btCollisionAlgorithmCreateFunc* btSoftBodyRigidBodyCollisionConfiguration::m_swappedSoftRigidConcaveCreateFunc
| private

Definition at line 32 of file btSoftBodyRigidBodyCollisionConfiguration.h.

## ◆ m_swappedSoftRigidConvexCreateFunc

btCollisionAlgorithmCreateFunc* btSoftBodyRigidBodyCollisionConfiguration::m_swappedSoftRigidConvexCreateFunc
| private

Definition at line 30 of file btSoftBodyRigidBodyCollisionConfiguration.h.

The documentation for this class was generated from the following files:

- btSoftBodyRigidBodyCollisionConfiguration.h
- btSoftBodyRigidBodyCollisionConfiguration.cpp